Package org.drinkless.tdlib

# Class TdApi.StarTransactionTypeChannelSubscriptionSale

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.StarTransactionType
org.drinkless.tdlib.TdApi.StarTransactionTypeChannelSubscriptionSale

Enclosing class:
  `TdApi`

public static class TdApi.StarTransactionTypeChannelSubscriptionSale extends TdApi.StarTransactionType
The transaction is a sale of a subscription by the channel chat; relevant for channel chats only.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.StarTransactionType

  `TdApi.StarTransactionType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `subscriptionPeriod`
  The number of seconds between consecutive Telegram Star debitings.
  `long`
  `userId`
  Identifier of the user who bought the subscription.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StarTransactionTypeChannelSubscriptionSale()`
  The transaction is a sale of a subscription by the channel chat; relevant for channel chats only.
  `StarTransactionTypeChannelSubscriptionSale(long userId, int subscriptionPeriod)`
  The transaction is a sale of a subscription by the channel chat; relevant for channel chats only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Identifier of the user who bought the subscription.

  - ### subscriptionPeriod

    public int subscriptionPeriod
    The number of seconds between consecutive Telegram Star debitings.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### StarTransactionTypeChannelSubscriptionSale

    public StarTransactionTypeChannelSubscriptionSale()
    The transaction is a sale of a subscription by the channel chat; relevant for channel chats only.

  - ### StarTransactionTypeChannelSubscriptionSale

    public StarTransactionTypeChannelSubscriptionSale(long userId, int subscriptionPeriod)
    The transaction is a sale of a subscription by the channel chat; relevant for channel chats only.
    Parameters:
      `userId` - Identifier of the user who bought the subscription.
      `subscriptionPeriod` - The number of seconds between consecutive Telegram Star debitings.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.StarTransactionType`
    Returns:
      this.CONSTRUCTOR